/*
#include <MinimumSerial.h>
#include <SdFat.h>
#include <SdFatConfig.h>
#include <SdFatmainpage.h>
#include <SdFatUtil.h>
#include <SdInfo.h>
#include <SdSpi.h>
#include <SdSpiCard.h>
//#include <SdVolume.h>
*/

/**********************************************
*
*   Multisensor lesing fra GY-80
*   Alle sensorer leses og sender data til APC 220 RF transmitter (19200 baudrate)
*   GPS (EM411) leses med baudrate 4800 med en interruptrutine på serieporten.
*   serialEvent() kan ikke brukes da den ikke fungerer som en interrupt-rutine.
*   Bruker ISR(USART_RX_vect) i stedet med void USART_Init( unsigned int ubrr) 
*   som setuprutine for ATmega328P-prosessoren.
*   Bruker AltSoftSerial som simulering av serieport for APC220 med baurdrate 19200
*   For å unngå formateringsproblemer i tekststrenger sendes hver variabelverdi som
*   en formatert utskrift direkte til RF som en formatert printkommando, skilt med komma.
*   Hver sensor skilt med '|'. Dette gjør det lett å importere i Excel for grafisk plott
*   av hver variabel. Variablene er ikke kalibrerte. En referansevariabel indekserer hver utskriftslinje.
*   SD-rutine i konflikt med interruptrutine. Bruker Openlog i stedet
*   (C) Skule Sørmo 2015
 */



#include <AltSoftSerial.h>
AltSoftSerial altSerial
#define RF altSerial
//#include <SPI.h>
//#include <SD.h>
/* UART SERIAL DEFINES */
#define BAUD 4800
#define MYUBRR F_CPU/16/BAUD-1

#include "Wire.h"
#include <SPI.h>
#include <SdFat.h>
SdFat sd;
File dataFile ;

String gpsbuffer="",buf="",buf1="";
bool gps_ferdig;

// I2Cdev and ADXL345 must be installed as libraries, or else the .cpp/.h files
// for both classes must be in the include path of your project
//#include "I2Cdev.h"
#include "ADXL345.h"
//#include <Adafruit_Sensor.h>
//#include <Adafruit_ADXL345_U.h>

//#include <SoftwareSerial.h>
//SoftwareSerial mySerial(8, 9); // RX, TX
//#define RF mySerial
ADXL345 accel;
//Adafruit_ADXL345_Unified accel = Adafruit_ADXL345_Unified(12345);
int16_t ax, ay, az;
int16_t xoff,yoff,zoff;
int16_t Xg, Yg, Zg;
#include <L3G4200D.h>
L3G4200D gyro;

#include "BMP085.h"
BMP085 barometer;

float temperature;
float pressure;
float altitude1;
int32_t lastMicros;
#define LED_PIN 13 // (Arduino is 13, Teensy is 11, Teensy++ is 6)
bool blinkState = false;

int refnr=0;
#include <HMC5883L.h>
HMC5883L compass;
float heading;

//#include <SPI.h>
//#include <SD.h>
  //File dataFile ;
const int chipSelect = 4;
String csvbuf="",st="";

void setup() {}
